#include<allegro.h>
#include "pause.h"

volatile extern int counter;

PALETTE orgpal;

void small_fadeout()
{
 PALETTE pal;
 get_palette(pal);
 int md=255,mm=200;
 for(int n=0;n<20;n++)
 {
  for(int c=0;c<256;c++)
  {
   if(pal[c].r>0) pal[c].r--;
   if(pal[c].g>0) pal[c].g--;
   if(pal[c].b>0) pal[c].b--;
  }
  set_palette(pal);

 }
}
void small_fadein()
{
 PALETTE pal;
 get_palette(pal);
 fade_from(pal,orgpal,4);
}

int pause()
{
 get_palette(orgpal);
 textout_centre(screen,font,"PAUSED",
                SCREEN_W/2,SCREEN_H/2,makecol(255,255,255));

 small_fadeout();

 clear_keybuf();
 readkey();
 small_fadein();
 clear_keybuf();

 counter=0;
 return(-1);
}